Status: Closed Start date: 2010-08-06
Target version:    

Description

After updating from 0.9 to 1.0 and noticing that Watchers had been moved to the sidebar, I got excited, thinking that plugins would

get similar capabilities, and would be able to take advantage of the sidebar more (which often seems like wasted space…).

At the risk of making it overly complex, it would be awesome if that sidebar had a few hooks that could be used by plugins to add

their content.  I whipped out a patch that would add one for the top, bottom, and essentially the middle (after the sidebar partial,

before Watchers).  Diff attached.

History

#1 - 2010-08-06 02:10 - Eric Davis

- Category changed from Issues to Plugin API

- Estimated time deleted (0.50 h)

The sidebar already has a hook that works on every page in Redmine with a sidebar: :view_layouts_base_sidebar.  Could that work for you?

#2 - 2010-08-06 02:13 - Nick Peelman

I think it would be nice to have them inside the context of the current issue, thereby you can just use the hook shorthand to call a partial, and you only

need view code, with minimal logic.  Using the base sidebar hook, you would have to fetch the current issue yourself (if you can do that, i don't know

what the base_sidebar hook context is like).

Eric Davis wrote:

The sidebar already has a hook that works on every page in Redmine with a sidebar: :view_layouts_base_sidebar.  Could that work for you?

#3 - 2010-08-06 18:44 - Eric Davis

Nick Peelman:

I understand.  It's just each hook has to be maintained and if we want to rearrange how Redmine's code is laid out, it's more difficult to maintain

backwards compatibility if there are various hooks around.

#4 - 2010-08-06 18:58 - Nick Peelman

Nobody said designing an extensible plugin architecture was easy :)

#5 - 2016-12-30 09:19 - Go MAEDA

- Category changed from Plugin API to Hook requests

#6 - 2016-12-30 09:42 - Go MAEDA

Redmine 3.3 has the following hooks in the sidebar.

:view_issues_sidebar_issues_bottom

:view_issues_sidebar_planning_bottom

:view_issues_sidebar_queries_bottom

Maybe :view_issues_sidebar_queries_bottom is equivalent to :view_issues_show_sidebar_before_watchers in the patch.

#7 - 2016-12-30 17:50 - Nick Peelman

- Status changed from New to Resolved
It would seem this is resolved in newer versions of Redmine.

#8 - 2017-01-01 12:02 - Jan from Planio www.plan.io

- Status changed from Resolved to Closed

Closing this as it's deemed resolved by the initial author.

Files

view_issues_show_sidebar_hooks.diff 954 Bytes 2010-08-05 Nick Peelman
